cd "C:\Users\jamel\Dropbox\stata\"
cd "blog\kountry"

// Import data

dbnomics data, pr(IMF) d(FDI) clear

dbnomics import, pr(IMF) d(FDI) ///
sdmx(A..FD_FD_IX) clear

drop period_start_day frequency dataset_code ///
dataset_name freq indicator indexed_at provider_code ///
series_code series_num

split series_name, parse(–)

order series_name2 ref_area period value ///
series_name1 series_name3, first

drop series_name series_name1 series_name3 

encode series_name2, generate(country)

drop series_name2

order country ref_area, first

rename value fd

drop if period<=2000
drop if period>=2021

save fd, replace

// Merge data with different country codes

use country-list, clear
rename year period
kountry countrycode, from(iso3c)
save country-list-k, replace

use fd.dta, clear
kountry ref_area, from(iso2c)
save fd-k, replace

use country-list-k, clear
merge 1:1 NAMES_STD period using fd-k
drop if _merge==2
drop _merge
save country-list-fd, replace

use Fiscal-space-data, clear
keep ccode ifscode country year ggdy
kountry ifscode, from(imfn)

encode country, generate(country_)
drop country
rename country_ country

order country ccode ifscode year ggdy NAMES_STD

rename year period
drop if period<=2000
drop if period>=2021

save Fiscal-space-data-k, replace

use country-list-fd, clear
merge 1:1 NAMES_STD period using Fiscal-space-data-k
drop if _merge==2

drop _merge
drop NAMES_STD 

sort countrycode period

export excel using "Merged Database", ///
firstrow(variables) replace






